Skip to main content
`Ctrl`+`K`

# TaoMonitorDefault

Default routine for monitoring progress of `TaoSolve()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMonitorDefault(Tao tao, void *ctx)

Collective

## Input Parameters

- tao - the `Tao` context

- ctx - `PetscViewer` context or `NULL`

## Options Database Key

- -tao_monitor - turn on default monitoring

## Note

This monitor prints the function value and gradient norm at each iteration.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoMonitorDefaultShort()`, `TaoMonitorSet()`

## Level

advanced

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages